#!/bin/bash

if hostname|grep -q -e "arc3" -q -e "arc2" -q -e "arc1" -q -e "polaris"; then HPCFLAG=1; else HPCFLAG=0; fi

if [ $HPCFLAG -eq 0 ]; then
FC="gfortran"
FFLAGS="-O2 -fopenmp"
else
FC="ifort"
FFLAGS="-O2 -qopenmp -no-wrap-margin"
fi
EXE="run_QD.exe"
BINDIR="../bin"
OBJDIR="../obj"
SRCDIR="../src"

cd $SRCDIR
cp *.f90 $OBJDIR
cp *.f $OBJDIR
cd $OBJDIR

if [ $HPCFLAG -eq 0 ]; then
$FC $FFLAGS -c BLAS.f
$FC $FFLAGS -c zgesv_with_dpndnss.f
$FC $FFLAGS -c zheev_with_dpndnss.f
fi
$FC $FFLAGS -c randgen.f
$FC $FFLAGS -c const.f90
$FC $FFLAGS -c auxiliary.f90
$FC $FFLAGS -c out.f90
$FC $FFLAGS -c init.f90
$FC $FFLAGS -c ham.f90
$FC $FFLAGS -c prop.f90
$FC $FFLAGS -c basis.f90
$FC $FFLAGS -c main.f90

if [ $HPCFLAG -eq 0 ]; then
$FC $FFLAGS -o $EXE BLAS.o randgen.o zgesv_with_dpndnss.o zheev_with_dpndnss.o const.o auxiliary.o out.o init.o ham.o prop.o basis.o main.o
else
$FC $FFLAGS -o $EXE randgen.o const.o auxiliary.o out.o init.o ham.o prop.o basis.o main.o $ARC_LINALG_MT_FFLAGS
fi

mv run_QD.exe $BINDIR
rm *.f90
rm *.f
cd $BINDIR
