program fourier


  implicit none
  real(kind=8)::reCCF,t,omega,dt,dft,omega_end,time_end
  complex(kind=8)::im,fourier_sum
  character(len=10)::omega_start_char,omega_end_char,time_end_char,dt_char
  character(len=100)::filename
  integer::r

  if (IARGC().ne.5) then
     print*, "Arguments should be starting frequency, end frequency, time, timestep and filename"
     stop
  end if

  call getarg(1,omega_start_char)
  call getarg(2,omega_end_char)
  call getarg(3,time_end_char)
  call getarg(4,dt_char)
  call getarg(5,filename)

  read(omega_start_char,*)omega
  read(omega_end_char,*)omega_end
  read(time_end_char,*)time_end
  read(dt_char,*)dt

  open(410,file="../out/"//trim(filename))

  open(411,file="../out/ft"//trim(filename(4:)))

  dft=0.05d0
  im=cmplx(0.d0,1.d0)

  do while(omega.le.omega_end)
    fourier_sum=cmplx(0.d0,0.d0)
    read(410,*)
    read(410,*)
    read(410,*)
    do r=1,int(time_end/dt+1)
      read(410,*)t,reCCF
      fourier_sum = fourier_sum + cdexp(-im*omega*t) * reCCF * dt
    end do

    rewind(410)
    write(411,*)omega,real(fourier_sum)

    omega=omega+dft

  end do

  close(410)
  close(411)

  stop

end program fourier
